﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Gw2Api
{
    public class Gw2ApiFactory
    {
        private static WorldNameApi _worldNameApi;
        public static WorldNameApi WorldNameApi
        {
            get
            {
                if (null == _worldNameApi)
                {
                    _worldNameApi = new WorldNameApi();
                }
                return _worldNameApi;
            }
        }

        private static WvWApi _wvwApi;
        public static WvWApi WvWApi
        {
            get
            {
                if (null == _wvwApi)
                {
                    _wvwApi = new WvWApi();
                }
                return _wvwApi;
            }
        }

        private static PositionApi _positionApi;
        public static PositionApi PositionApi
        {
            get
            {
                if (null == _positionApi)
                {
                    _positionApi = new PositionApi();
                }
                return _positionApi;
            }
        }
    }
}
